curl --request GET \
--url https://api.hakumedia.ai/v2/publishers/{publisher_id}/product-db/source-targets/{source_target_id} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.hakumedia.ai/v2/publishers/{publisher_id}/product-db/source-targets/{source_target_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.hakumedia.ai/v2/publishers/{publisher_id}/product-db/source-targets/{source_target_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hakumedia.ai/v2/publishers/{publisher_id}/product-db/source-targets/{source_target_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"name": "Example Publisher Source Target",
"inclusive": true,
"publisher_sources": [
"636363"
],
"object": "product_db_publisher_source_target",
"self": "/v2/publishers/56335/product-db/source_targets/12345",
"id": 12345,
"publisher_source_slugs": [
"example-publisher-source"
],
"created_at": "2023-01-01T00:00:00",
"created_by": null,
"updated_at": null,
"updated_by": null
}Get a Single Publisher Source Target
Retrieve a single Publisher Source Target’s details.
Authorizations
API key en el header Authorization: Basic TU_API_KEY. La key va tal cual, sin codificar en base64. Las credenciales se entregan al comenzar la integración.
Path Parameters
Identifier of the Publisher.
Identifier of the Publisher Source Target.
Query Parameters
Restrict the fields you wish to retrieve by listing the desired fields formatted as a comma-separated list. Fields like "object", "self", and "id" are always returned.
Response
successful operation
The name of the Publisher Source Target
255"Example Publisher Source Target"
Whether it is an inclusion or an exclusion target
true
Array of Publisher Source IDs
["636363"]
A string denoting the current resource being requested or affected.
"product_db_publisher_source_target"
The relative URL of the current resource being requested or affected.
"/v2/publishers/56335/product-db/source_targets/12345"
The current resource identifier (ID).
12345
Array of Publisher Source Name Slugs
["example-publisher-source"]
The timestamp when this resource was created.
"2023-01-01T00:00:00"
The user ID that created this resource.
null
The timestamp when this resource was last updated.
null
The user ID that last updated this resource.
null